Skip to content

ApMisc⁠

Perform various operations for Symitar parameters.

Operations⁠

getApMiscSelectFields⁠

POST

Execute the persistent ParameterService getApMiscSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getApMiscSelectFields
POST /nexum/627/persistent/parameter/getApMiscSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllApMiscFields": true,
    "ApMiscFields": {
      "ApproverUserIds": true,
      "ExpenseProcessorUserIds": true,
      "FwdUserIds": true,
      "PaymentProcessorUserIds": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateApMiscByID⁠

POST

Execute the persistent ParameterService updateApMiscByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateApMiscByID
POST /nexum/627/persistent/parameter/updateApMiscByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "ApMiscFields": {
    "ApproverUserIds": {
      "Bit": [
        0
      ]
    },
    "ExpenseProcessorUserIds": {
      "Bit": [
        0
      ]
    },
    "FwdUserIds": {
      "Bit": [
        0
      ]
    },
    "PaymentProcessorUserIds": {
      "Bit": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}